Bug 601434 - regression: iscsiadm does not support non-default iscsi port
regression: iscsiadm does not support non-default iscsi port
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Andy Grover
Storage QE
: Regression
Depends On:
Blocks: 601442
  Show dependency treegraph
 
Reported: 2010-06-07 20:09 EDT by Mike Christie
Modified: 2012-06-26 12:27 EDT (History)
6 users (show)

See Also:
Fixed In Version: iscsi-initiator-utils-6.2.0.872-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 601442 (view as bug list)
Environment:
Last Closed: 2010-11-10 15:42:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iscsi/iscsid service start output (38.06 KB, text/plain)
2010-07-13 08:08 EDT, Or Gerlitz
no flags Details

  None (edit)
Description Mike Christie 2010-06-07 20:09:38 EDT
Description of problem:

Using iscsiadm with a port value other than 3260 results in failures to execute the command.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 RHEL Product and Program Management 2010-06-07 20:23:17 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Mike Christie 2010-06-08 02:11:40 EDT
This is a regression from rhel5, so adding devel ack.
Comment 4 Mike Christie 2010-07-11 05:38:50 EDT
This is fixed in iscsi-initiator-utils-6.2.0.872-6. You can download it here:
http://people.redhat.com/mchristi/iscsi/rhel6.0/iscsi-initiator-utils/
Comment 5 Or Gerlitz 2010-07-13 08:03:04 EDT
(In reply to comment #4)
> This is fixed in iscsi-initiator-utils-6.2.0.872-6

Using these bits, providing --portal directive iscsiadm works fine, both for portals using the default port and ones that use other ports. 

Howerver, I'm having hard time with the /etc/init.d/iscsi and /etc/init.d/iscsid service scripts ... when they are started it seems that nothing is really started, the kernel modules aren't loaded and iscsid isn't running. I had to load them manualy and run the daemon directly from the console to have iscsi up and running
Comment 6 Or Gerlitz 2010-07-13 08:08:49 EDT
Created attachment 431438 [details]
iscsi/iscsid service start output

attached is the output of iscsi and iscsid services start on my system which is RHEL6.0 beta (Santiago) and running kernel 2.6.32-30.el6.x86_64
Comment 7 Mike Christie 2010-07-13 23:00:48 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > This is fixed in iscsi-initiator-utils-6.2.0.872-6
> 
> Using these bits, providing --portal directive iscsiadm works fine, both for
> portals using the default port and ones that use other ports. 
> 
> Howerver, I'm having hard time with the /etc/init.d/iscsi and
> /etc/init.d/iscsid service scripts ... when they are started it seems that
> nothing is really started, the kernel modules aren't loaded and iscsid isn't
> running. I had to load them manualy and run the daemon directly from the
> console to have iscsi up and running    


They are not actually started unless there is something to start. So if there are node records marked automatic it will actually do something. It is supposed to reduce start up time and reduce users of resources that are not actually needed.

Also when you run a iscsiadm command for the first time that needs iscsid then it should really start the service (load modules and start iscsid). See the iscsid.conf iscsid.startup setting. It should be "/etc/rc.d/init.d/iscsid force-start"


What command are you running that is not starting the service?
Comment 8 Or Gerlitz 2010-07-14 04:12:36 EDT
(In reply to comment #7)
> They are not actually started unless there is something to start. So if there
> are node records marked automatic it will actually do something. Also when
> when you run a iscsiadm command for the first time that needs iscsid then
> it should really start the service 

okay, got that, I was using a script (see below) that was explicitly checking if iscsid is running and errs if not. When I used direct invocations of iscsiadm everying worked fine, e.g the modules were loaded the and daemon was started indirectly as of the discovery, login, etc.


> What command are you running that is not starting the service?    

its the "iscsi_discovery" script which was sent to the open-iscsi list in the past
Comment 9 Mike Christie 2010-07-14 10:34:28 EDT
(In reply to comment #8)
> > What command are you running that is not starting the service?    
> 
> its the "iscsi_discovery" script which was sent to the open-iscsi list in the
> past    

Ah I see that now.

It is too late for 6.0, but if for 6.1 you want to us to add that script, make a bugzilla.
Comment 11 releng-rhel@redhat.com 2010-11-10 15:42:08 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.